Bug 93387 - REGRESSION (r124723-r124741): 5 inspector/debugger tests failing on Apple Lion Debug WK1 (Tests)
Summary: REGRESSION (r124723-r124741): 5 inspector/debugger tests failing on Apple Lio...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Peter Wang
URL: http://build.webkit.org/results/Apple...
Keywords: LayoutTestFailure, Regression
Depends on: 53003 93473
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 13:18 PDT by Dean Jackson
Modified: 2012-10-18 20:21 PDT (History)
8 users (show)

See Also:


Attachments
Patch (1.84 KB, patch)
2012-08-08 06:33 PDT, Peter Wang
no flags Details | Formatted Diff | Diff
Patch (1.73 KB, patch)
2012-08-14 00:27 PDT, Peter Wang
pfeldman: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2012-08-07 13:18:33 PDT
The following tests started failing on Apple Lion Debug WK1 (Tests) between r124724 and r124741 (inclusive):

    inspector/debugger/script-formatter-breakpoints.html
    inspector/debugger/pause-in-internal-script.html
    inspector/debugger/watch-expressions-panel-switch.html
    inspector/debugger/debugger-activation-crash2.html
    inspector/debugger/debugger-set-breakpoint-regex.html

http://trac.webkit.org/log/trunk?rev=124741&stop_rev=124724&limit=19

http://build.webkit.org/results/Apple%20Lion%20Debug%20WK1%20(Tests)/r124723%20(1605)/results.html passed
http://build.webkit.org/results/Apple%20Lion%20Debug%20WK1%20(Tests)/r124741%20(1606)/results.html failed

The most obvious culprit is:
http://trac.webkit.org/changeset/124729 - https://bugs.webkit.org/show_bug.cgi?id=53003
Comment 1 Dean Jackson 2012-08-07 13:35:22 PDT
Skipped for Mac in http://trac.webkit.org/changeset/124915
Comment 2 Peter Wang 2012-08-08 06:33:39 PDT
Created attachment 157202 [details]
Patch
Comment 3 Peter Wang 2012-08-08 06:40:12 PDT
This patch can resolve the bug by making the behavior back to the old time when JSC can only provide "line" info to calculate if there is breakpoint.
The root reason is that JSC calculate breakpoint by accurate position in source file, but front-end will do some format. 
Refer to https://bugs.webkit.org/show_bug.cgi?id=93473.
Comment 4 WebKit Review Bot 2012-08-13 00:19:29 PDT
Comment on attachment 157202 [details]
Patch

Clearing flags on attachment: 157202

Committed r125394: <http://trac.webkit.org/changeset/125394>
Comment 5 WebKit Review Bot 2012-08-13 00:19:34 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Dean Jackson 2012-08-13 13:10:33 PDT
Reopening. Could you also unskip the tests that were marked in http://trac.webkit.org/changeset/124915 ?
Comment 7 Peter Wang 2012-08-14 00:27:19 PDT
Created attachment 158243 [details]
Patch
Comment 8 Peter Wang 2012-10-18 20:18:59 PDT
As the bug https://bugs.webkit.org/show_bug.cgi?id=93473
Comment 9 Peter Wang 2012-10-18 20:21:30 PDT
As https://bugs.webkit.org/show_bug.cgi?id=93473 resolved, this bug isn't existent now.